Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Create Training Cluster

POST/distributed_jobs_v2/cluster/

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Request body

application/json

object
namestringrequired

Name of the training cluster.

image_version_idintegerrequired

ID of the image version to use for cluster nodes (Ubuntu Slurm or NeMo).

ssh_key_idsarrayrequired

List of SSH key IDs to attach to the cluster login node.

security_group_idintegerrequired

Security group ID controlling inbound and outbound traffic to cluster nodes.

script_addedboolean

Whether a lifecycle script has been provided.

lifecycle_scriptstring

Script executed on each node after the cluster starts.

sfs_mount_listarray

Shared File System volumes to mount on cluster nodes.

pfs_mount_listarray

Parallel File System volumes to mount on cluster nodes.

dataset_mount_listarray

Read-only dataset volumes to mount on cluster nodes.

sku_idintegerrequired

SKU ID for the cluster node type.

no_of_nodesintegerrequired

Number of nodes in the cluster.

sku_item_price_idintegerrequired

SKU item price ID for the cluster plan. This value is region-specific.

Responses

201Cluster created successfully.
object
codeinteger
example201
dataobject
errorsobject
messagestring
exampleCluster created successfully
400Bad request due to invalid parameters.
object
codeinteger
example400
errorsobject
messagestring
exampleBad Request
401Unauthorized — missing or invalid API key.
object
codeinteger
example401
messagestring
exampleUnauthorized access.